> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payout/banklist.md).

# Bank Code List

## Query Payout Bank Code List

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout/bank-account-list`

This endpoint allows you to get the list of supported banks.

#### Headers

| Name                                            | Type   | Description                                                 |
| ----------------------------------------------- | ------ | ----------------------------------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; charset=UTF-8                             |
| AppId<mark style="color:red;">\*</mark>         | string | Get AppId from dashboard                                    |
| Authorization<mark style="color:red;">\*</mark> | string | signature, generated by SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name      | Type    | Description                               |
| --------- | ------- | ----------------------------------------- |
| country   | string  | Country Code. For example, BRA for Brazil |
| method    | string  | method                                    |
| timestamp | Integer | unix timestamp, e.g. 1628512575           |

{% tabs %}
{% tab title="200 success " %}

```
{
    "code": 200,
    "msg": "success",
    "time": 1628497163,
    "data": {
         ...
    }
}
```

{% endtab %}

{% tab title="500 system error" %}

```
{
    "code": 500,
    "msg": "system error",
    "time": 1628497751,
    "data": {
        "error": "system error"
    }
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout/bank-account-list' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
    "country": "BRA",
    "method": "Banktransfer",
    "timeStamp": "1733992186"
}'
```

{% hint style="info" %}
Note: ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is pagsmile's test merchant id for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is authorization token associated with the test App ID.
{% endhint %}

## Supported Bank Code List

* [**Bank in Argentina**](/reference/payout/banklist/bank-in-argentina.md)
* [**Bank in Bolivia**](/reference/payout/banklist/bank-in-bolivia.md)
* [**Bank in Brazil**](/reference/payout/banklist/bank-in-brazil.md)
* [**Bank in Chile**](/reference/payout/banklist/bank-in-chile.md)
* [**Bank in Colombia**](/reference/payout/banklist/bank-in-colombia.md)
* [**Bank in Ecuador**](/reference/payout/banklist/bank-in-ecuador.md)
* [**Bank in Guatemala**](/reference/payout/banklist/bank-in-guatemala.md)
* [**Bank in Mexico**](/reference/payout/banklist/bank-in-mexico.md)
* [**Bank in Panama**](/reference/payout/banklist/bank-in-panama.md)
* [**Bank in Peru**](/reference/payout/banklist/bank-in-peru.md)
* [**Bank in Philippines**](/reference/payout/banklist/bank-in-philippines.md)
* [**Bank in Vietnam**](/reference/payout/banklist/bank-in-vietnam.md)
* [**Bank in Uruguay**](/reference/payout/banklist/bank-in-uruguay.md)
